Loading...
Searching...
No Matches
barrier_counter.h File Reference
`#include <common/utils.h>`
`#include <common/barrier.h>`

Go to the source code of this file.

## Data Structures

struct | _starpu_barrier_counter

## Functions

int | _starpu_barrier_counter_init (struct _starpu_barrier_counter *barrier_c, unsigned count)
int | _starpu_barrier_counter_destroy (struct _starpu_barrier_counter *barrier_c)
int | _starpu_barrier_counter_wait_for_empty_counter (struct _starpu_barrier_counter *barrier_c)
int | _starpu_barrier_counter_wait_until_counter_reaches_down_to_n (struct _starpu_barrier_counter *barrier_c, unsigned n)
int | _starpu_barrier_counter_wait_until_counter_reaches_up_to_n (struct _starpu_barrier_counter *barrier_c, unsigned n)
int | _starpu_barrier_counter_wait_for_full_counter (struct _starpu_barrier_counter *barrier_c)
int | _starpu_barrier_counter_decrement_until_empty_counter (struct _starpu_barrier_counter *barrier_c, double flops)
int | _starpu_barrier_counter_increment_until_full_counter (struct _starpu_barrier_counter *barrier_c, double flops)
int | _starpu_barrier_counter_increment (struct _starpu_barrier_counter *barrier_c, double flops)
int | _starpu_barrier_counter_check (struct _starpu_barrier_counter *barrier_c)
int | _starpu_barrier_counter_get_reached_start (struct _starpu_barrier_counter *barrier_c)
int | _starpu_barrier_counter_get_reached_exit (struct _starpu_barrier_counter *barrier_c)
double | _starpu_barrier_counter_get_reached_flops (struct _starpu_barrier_counter *barrier_c)

## Data Structure Documentation

## _starpu_barrier_counter

struct _starpu_barrier_counter

Data Fields
struct _starpu_barrier | barrier |
unsigned | min_threshold |
unsigned | max_threshold |
starpu_pthread_cond_t | cond2 |